add error checking and retries to elastic_fleet_integration_policy_upgrade

This commit is contained in:
reyesj2
2025-09-16 21:22:03 -05:00
parent 94e8cd84e6
commit bcd2e95fbe
3 changed files with 8 additions and 4 deletions
@@ -62,8 +62,7 @@ for AGENT_POLICY in $agent_policies; do
# If no errors with dry run, proceed with actual upgrade
if [[ "$DRYRUN_ERRORS" == "false" ]]; then
echo "No errors detected. Proceeding with upgrade..."
elastic_fleet_integration_policy_upgrade "$INTEGRATION_ID"
if [ $? -ne 0 ]; then
if ! elastic_fleet_integration_policy_upgrade "$INTEGRATION_ID"; then
echo "Error: Upgrade failed for $PACKAGE_NAME with integration ID '$INTEGRATION_ID'."
exit 1
fi